Skip to main content
GET
/
commerce
/
blanketorders
/
{blanketOrderId}
/
changemessages
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "amount": 123,
      "appId": "<string>",
      "appKey": "<string>",
      "appName": "<string>",
      "attributes": {},
      "correlationId": "<string>",
      "createDate": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "identifier": "<string>",
      "message": "<string>",
      "metadata": "<unknown>",
      "newValue": "<string>",
      "oldValue": "<string>",
      "subject": "<string>",
      "subjectType": "<string>",
      "success": true,
      "userFirstName": "<string>",
      "userId": "<string>",
      "userLastName": "<string>",
      "userScopeType": "<string>",
      "verb": "<string>"
    }
  ],
  "pageCount": 123,
  "pageSize": 123,
  "startIndex": 123,
  "totalCount": 123
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

blanketOrderId
string
required

Query Parameters

startIndex
integer<int32>
pageSize
integer<int32>
responseFields
string

limits which fields are returned in the response body

Response

OK

Paged collection

items
object[] | null
pageCount
integer<int32>
pageSize
integer<int32>
startIndex
integer<int32>
totalCount
integer<int32>